from django.urls import path
from .views import *


app_name = 'reunion'

urlpatterns = [
    path('upload_image/', upload_image, name='upload_image'),
    path('cercle', ListeReunionCercle.as_view(), name='list_reunion_cercle'),
    path('coordination', ListeReunionCoordination.as_view(), name='list_reunion_coord'),
    path('dialogue', ListeDialogueCommunautaire.as_view(), name='list_dialogue'),
    path('addcercle', CreateReunionCecleView.as_view(), name='ajout_reunion_cercle'),
    path('addcoord', CreateReunionCoordView.as_view(), name='ajout_reunion_cord'),
    path('adddialogue', CreateDialoguedView.as_view(), name='ajout_dialogue'),
    path('<int:id>/', ReunionDetailView.as_view(), name='detail_reunion'),
    path('participant/<int:id>', AjouParticipant.as_view(), name='ajout_participant'),
    path('<int:id>/compte-rendu/', AjoutCompteRendu.as_view(), name='ajout_compte_rendu'),
    path('<int:id>/terminer/', TerminerReunion.as_view(), name='terminer_reunion'),
    path('<int:id>/resume/', ResumeReunion.as_view(), name='resume_reunion'),
    path('planifications', ListPlanification.as_view(), name='list_planification'),
    path('ajout/planification', PlanificationCreateView.as_view(), name='ajout_planification'),

]